import 'package:flutter/material.dart';
import 'package:panic_widgets/panic_widgets.dart';

class Event {
  final Color color;

  Event(this.color);
}

class PanicWidgetsExampleCalendarPage extends StatelessWidget {
  final Map<DateTime, List<Event>> _events = {
    for (int i = 0; i < 10; i++)
      DateTime(DateTime.now().year, DateTime.now().month, DateTime.now().day + (2 * i)): [
        Event(Colors.red[i * 100]),
        Event(Colors.green[i * 100]),
        Event(Colors.blue[i * 100]),
      ],
  };

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Expanded(
          child: PanicCalendar(
            daySelected: (day) {
              //TODO: handle day selection
            },
            monthSwitched: (year, month) {
              //TODO: fetch data for selected month (e.g. holidays)
            },
            tileEventBuilder: (context, day) {
              return Row(
                mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                mainAxisSize: MainAxisSize.max,
                children: [
                  for (Event e in _events[day] ?? [])
                    Container(
                      width: 4,
                      height: 4,
                      decoration: BoxDecoration(
                        color: e.color,
                        shape: BoxShape.circle,
                      ),
                    ),
                ],
              );
            },
          ),
        )
      ],
    );
  }
}
