import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:panic_widgets/calendar/controller.dart';

class PanicCalendarHeader extends StatelessWidget {
  final PanicCalendarController c = Get.find();

  String get _altMonthName => c.dateUtil.month(c.firstDayOfcurrentMonth.value.month);

  @override
  Widget build(BuildContext context) {
    return Row(
      crossAxisAlignment: CrossAxisAlignment.center,
      children: [
        IconButton(
          icon: Icon(Icons.chevron_left),
          onPressed: () => c.switchMonth(-1),
        ),
        Expanded(
          child: Obx(
            () {
              DateTime offsetDate = c.getFirstDayOfOffsetMonth(c.headerMonthOffset.value);
              return Text(
                (c.monthNames != null ? c.monthNames[offsetDate.month] ?? _altMonthName : _altMonthName) +
                    ' ${offsetDate.year}',
                textAlign: TextAlign.center,
                style: TextStyle(fontSize: 20),
              );
            },
          ),
        ),
        IconButton(
          icon: Icon(Icons.chevron_right),
          onPressed: () => c.switchMonth(1),
        ),
      ],
    );
  }
}
