import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:panic_widgets/calendar/controller.dart';
import 'package:panic_widgets/calendar/tile.dart';

class PanicCalendarRow extends StatelessWidget {
  final PanicCalendarController c = Get.find();

  final int row;
  final int monthOffset;

  PanicCalendarRow(
    this.row,
    this.monthOffset, {
    Key key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.spaceEvenly,
      crossAxisAlignment: CrossAxisAlignment.stretch,
      children: [
        for (int column in c.daysOfWeek.keys)
          Expanded(
            child: _buildCalendarTile(
              column,
              c.getTileDate(row, column, monthOffset),
              c.getFirstDayOfOffsetMonth(monthOffset),
            ),
          ),
      ],
    );
  }

  PanicCalendarTile _buildCalendarTile(int column, DateTime dt, DateTime firstDayOfOffset) {
    Color color;
    Color textColor;

    if (c.dateOptions != null && c.dateOptions[dt] != null) {
      color = c.dateOptions[dt].color;
      textColor = c.dateOptions[dt].textColor;
    }

    if (c.daysOfWeek != null && c.daysOfWeek[column] != null) {
      if (color == null) color = c.daysOfWeek[column]?.color;
      if (textColor == null) textColor = c.daysOfWeek[column]?.textColor;
    }

    return PanicCalendarTile(
      row: row,
      column: column,
      dt: dt,
      color: color,
      textColor: textColor,
      firstDayOfbuildingMonth: firstDayOfOffset,
    );
  }
}
